﻿html {
    display: flex;
    justify-content: center;
    min-height: 100%;
    scroll-behavior: smooth;
    --small-content-gap: 10px;
    --medium-content-gap: 20px;
    --big-content-gap: 40px;
    --small-container-gap: 50px;
    --medium-container-gap: 100px;
    --big-container-gap: 200px;
}

a {
    all: unset;
    cursor: pointer;
    color: inherit;
    white-space: nowrap;
}

body {
    position: relative;
    display: flex;
    flex: 1;
    flex-direction: column;
    max-width: 1440px;
    margin: 0;
    overflow: auto;
}

menu {
    padding-inline-start: 0;
    margin-block-start: 0;
    margin-block-end: 0;
}
.flex-container {
    display: flex;
    justify-content: center;
}

.log-in {
    padding: 0 !important;
    margin: 16px 32px;
    margin-left: 0;
}

.circles-container {
    max-width: 1800px;
    max-height: 1800px;
    width: 100vw;
    height: 100vw;
    position: absolute;
    z-index: -1;
    overflow: hidden;
    right: 0;
    top: 0;
    display: none;
}

.circles {
    height: 100%;
    width: 100%;
    position: absolute;
    border: 1px solid var(--positive);
    border-radius: 50%;
    display: flex;
    top: -50%;
    right: -50%;
    justify-content: center;
    align-items: center
}
.circles > :first-child {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    height: 80%;
    border: 1px solid var(--positive);
    border-radius: 50%;
}
.circles > :first-child > :first-child {
    width: 75%;
    height: 75%;
    border: 1px solid var(--positive);
    border-radius: 50%;
}


.top-header {
    position: sticky;
    top: -1px;
    display: flex;
    justify-content: space-between;
    padding: var(--medium-content-gap) 80px;
    margin: var(--medium-content-gap) 0;
    align-items: center;
    flex-wrap: wrap;
    column-gap: var(--medium-content-gap);
    row-gap: var(--small-content-gap);
    z-index: 110;
}

    .top-header.header-background {
        background-color: var(--white);
        border-bottom: 1px solid var(--grey-02);
    }

@media (max-width: 1000px) {
    .top-header {
        padding: var(--small-content-gap) var(--medium-content-gap);
        margin: var(--small-content-gap) 0;
    }

    .circles-container {
        display: block;
    }
}

.top-menu {
    display: flex;
    flex: 1;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 631px;
    gap: var(--small-content-gap);
}

.hover-underline-animation {
    display: inline-block;
    position: relative;
}
.current-underline:after {
    transform: initial !important;
    transform-origin: initial !important;
    transition: initial !important;
}

    .hover-underline-animation:after {
        content: '';
        position: absolute;
        width: 100%;
        transform: scaleX(0);
        height: 2px;
        bottom: 0;
        left: 0;
        background-color: #08BFA1;
        transform-origin: bottom left;
        transition: transform 0.25s ease-out;
    }

    .hover-underline-animation:hover:after {
        transform: scaleX(1);
        transform-origin: bottom left;
    }

.top-buttons {
    display: flex;
}

.mobile-menu {
    display: none;
    position: relative;
}

    .mobile-menu .menu-container {
        margin-top: 5px;
        position: absolute;
        right: 0;
        height: 0px;
        transition: height 0.5s;
        overflow: hidden;
        background-color: white;
        box-sizing: border-box;
        box-shadow: var(--tooltip-shadow);
        z-index: 1000;
    }

.mobile-menu menu {
    display: flex;
    flex-direction: column;
    text-align: right;
    padding: var(--small-content-gap);
}
    .mobile-menu menu > * + * {
        margin-top: var(--medium-content-gap);
    }
    .mobile-menu:focus-within .menu-container {
        height: 298px;
    }
    .menu-container-open {
        height: 298px;
    }
    .menu-container-closed {
        height: 0px !important;
    }

@media (max-width: 1000px) {
    .top-menu, .top-buttons {
        display: none;
    }

    .mobile-menu {
        display: block;
    }
}



.footer {
    display: flex;
    flex-direction: column;
    margin-top: auto;
    background-color: var(--grey-00)
}

    .bottom-menu {
        align-items: center;
        display: flex;
        flex-wrap: wrap;
        gap: var(--medium-content-gap);
        flex: 1;
        margin: var(--big-content-gap) var(--medium-content-gap);
        justify-content: space-evenly;
        color: var(--grey-07);
        max-width: 1050px;
    }

    .footer > img {
        margin: 0 auto 40px auto;
        height: 90px;
    }

    .footer > .mobile-stores {
        margin: 0 auto 37px auto;
    }

@media (max-width: 1000px) {
    .footer > img {
        height: 50px;
    }
    .bottom-menu {
        margin: var(--big-content-gap) var(--small-content-gap);
    }
    .bottom-menu > * {
        text-align: center;
        width: 150px;
        white-space: normal;
    }
}

.page-info-container {
    display: flex;
    justify-content: center;
}

.page-info {
    display: flex;
    flex: 1;
    height: 38px;
    align-items: center;
    margin: 0 10px;
    max-width: 1280px;
    border-top: 1px solid var(--grey-02);
}

.social-media {
    margin-left: auto;
    height: 24px;
    display: flex;
    column-gap: 4px;
}

.get-started-flex-container {
    display: flex;
    margin: var(--small-container-gap) var(--medium-content-gap);
    justify-content: center;
}

.get-started-container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex: 1;
    max-width: 1277px;
    gap: var(--medium-content-gap);
    border: 2px solid var(--green-light);
    background-color: var(--white);
    box-shadow: 0px 4px 16px rgba(184, 184, 184, 0.24);
    border-radius: 16px;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    padding: var(--medium-content-gap);
   
}

    .get-started-container > .text {
        max-width: 514px;
        flex: 1;
    }

        .get-started-container > .text > .bold {
            margin-top: 24px;
        }

    .get-started-container > .ellipse-1 {
        position: absolute;
        width: 266px;
        height: 266px;
        left: 803px;
        bottom: -201px;
        border: 1px solid var(--pink-darkest);
        border-radius: 50%;
        box-sizing: border-box;
    }

    .get-started-container > .circle {
        position: absolute;
        width: 19px;
        height: 18px;
        left: 1021px;
        bottom: 16px;
        background: var(--pink-darkest);
        border-radius: 50%;
    }

    .get-started-container > .ellipse-2 {
        position: absolute;
        width: 306px;
        height: 306px;
        top: -179px;
        right: -158px;
        border: 1px solid var(--darkest-blue);
        border-radius: 50%;
        box-sizing: border-box;
    }

@media (max-width: 700px) {
    .get-started-container {
        flex-direction: column;
        align-items: flex-start;
    }

    .get-started-logo {
        height: 65px;
    }

    .get-started-container > .text {
        max-width: unset;
    }
}

.container {
    margin-top: var(--medium-container-gap);
    position: relative;
    display: flex;
    box-sizing: border-box;
    align-items: center;
    gap: var(--big-content-gap);
    padding: var(--medium-content-gap);
    margin-left: 50px;
    margin-right: 50px;
    border-radius: 16px;
}

.container > .media {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
    flex: 1;
    position: relative;
}

.container > .text {
    flex: 1;
    z-index: 10;
}

.container img {
    max-width: 100%;
}

    .container.right {
        margin-left: 50px;
        margin-right: unset;
        border-radius: 16px 0 0 16px;
    }

    .container.left {
        margin-left: unset;
        margin-right: 50px;
        border-radius: 0 16px 16px 0;
    }

@media (max-width: 1000px) {
    .container, .container.left, .container.right {
        min-height: unset;
        border-radius: 16px;
        margin-left: var(--medium-content-gap);
        margin-right: var(--medium-content-gap);
        text-align: center;
        margin-top: var(--small-container-gap);
    }

    .container.left {
        flex-direction: column;
    }

    

    .container.right {
        flex-direction: column-reverse;
    }

        .container.left.mobile-reverse {
            flex-direction: column-reverse;
        }

        .container.right.mobile-reverse {
            flex-direction: column;
        }
}

video {
    width: 100%;
    height: 100%;
    max-width: 655px;
    max-height: 369px;
    border-radius: 15px;
    object-fit: cover;
    cursor: pointer;
}

.points {
    margin-top: var(--big-content-gap);
    display: flex;
    flex-wrap: wrap;
    column-gap: var(--big-content-gap);
    row-gap: var(--medium-content-gap);
}

.ok-point {
    display: flex;
    text-align: left;
}

    .ok-point::before {
        content: '';
        height: 26px;
        width: 40px;
        background-repeat: no-repeat;
        background-image: url("/Public/NewImages/support_point.svg");
        margin-right: 16px;
    }

.features {
    max-width: 1280px;
    flex: 1;
    display: flex;
    column-gap: var(--medium-content-gap);
    row-gap: var(--big-content-gap);
    justify-content: center;
    flex-wrap: wrap;
    margin-left: var(--medium-content-gap);
    margin-right: var(--medium-content-gap);
}

.feature {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    flex: 1;
    min-width: 250px;
    row-gap: var(--small-content-gap);
}

.feature img {
    max-width: 100%;
}

.feature h2 {
    display: flex;
    align-items: center;
    min-height: 70px;
}

@media (max-width: 700px) {
    .features {
        flex-direction: column;
    }
    .feature h2 {
        min-height: unset;
    }
}

img.app-link:hover {
    filter: drop-shadow(var(--button-shadow));
}
/* spinner */

.spinner {
    display: inline-block;
}

    .spinner:after {
        content: " ";
        display: block;
        width: 21px;
        height: 21px;
        border-radius: 50%;
        border: 2px solid;
        border-color: var(--white) transparent var(--white) transparent;
        animation: spinner 1s linear infinite;
    }

@keyframes spinner {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.zoomed-img {
    position: fixed;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(2);
    -ms-transform: translate(-50%, -50%) scale(2); /* IE 9 */
    -webkit-transform: translate(-50%, -50%) scale(2); /* Safari and Chrome */
    z-index: 999;
    -webkit-transition: all .2s ease-in;
    -moz-transition: all .2s ease-in;
    /*-ms-transition: all .3s ease-in;*/
    -o-transition: all .2s ease-in;
    transition: all .2s ease-in;
}